function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { useRequest } from 'ahooks';
import { Spin, Table } from 'antd';
import React, { useEffect, useRef, useState } from 'react';
import useEngineContext from "../../../../../../../hooks/useEngineContext";
import { getText } from "../../../../../../../locales/index";
import { getImportLog } from "../../../../../serve";
import { request } from "../../../../../utils";
import { formatDate } from "../../utils/date";
import Detail from "./Detail";
import "./index.less";
var defaultData = {
  skip: 1,
  num: 10
};
var ImportLog = function ImportLog(props) {
  var exportImport = props.exportImport;
  var apiUrl = exportImport.apiUrl,
    otherParams = exportImport.otherParams;
  var detailRef = useRef(null);
  var _useState = useState([]),
    _useState2 = _slicedToArray(_useState, 2),
    list = _useState2[0],
    setList = _useState2[1];
  var context = useEngineContext();
  request.setRequest(context.appHelper.utils.request);

  /**
   * @title: 导入日志
   * @description:
   * @return {*}
   * @Author: WangHan
   * @Date: 2024-06-29 15:14
   */
  var _historyList = useRequest(getImportLog, {
    manual: true,
    onSuccess: function onSuccess(res) {
      if (res.code == 200) {
        var _res$data;
        setList(((_res$data = res.data) === null || _res$data === void 0 ? void 0 : _res$data.list) || []);
      }
    }
  });
  var init = function init() {
    var _defaultParams = _objectSpread(_objectSpread(_objectSpread({}, defaultData), otherParams), {}, {
      url: apiUrl === null || apiUrl === void 0 ? void 0 : apiUrl.import_log
    });
    _historyList.run(_defaultParams);
  };
  useEffect(function () {
    init();
  }, [exportImport]);
  var columns = [{
    title: getText('table-action-export-import-log-name'),
    dataIndex: 'file_name'
  }, {
    title: getText('table-action-export-import-log-result'),
    dataIndex: 'result',
    render: function render(text, record) {
      var _record$result;
      return /*#__PURE__*/React.createElement("div", null, getText('table-action-export-import-log-ok')((text === null || text === void 0 ? void 0 : text.success) || 0), record !== null && record !== void 0 && (_record$result = record.result) !== null && _record$result !== void 0 && _record$result.fail ? getText('table-action-export-import-log-err')((text === null || text === void 0 ? void 0 : text.fail) || 0) : null, text !== null && text !== void 0 && text.fail ? /*#__PURE__*/React.createElement("a", {
        style: {
          marginLeft: '10px'
        },
        onClick: function onClick() {
          var _detailRef$current, _detailRef$current$op;
          detailRef === null || detailRef === void 0 || (_detailRef$current = detailRef.current) === null || _detailRef$current === void 0 || (_detailRef$current$op = _detailRef$current.open) === null || _detailRef$current$op === void 0 || _detailRef$current$op.call(_detailRef$current, {
            list: [record]
          });
        }
      }, getText('table-action-export-import-log-check')) : null);
    }
  }, {
    title: getText('table-action-export-import-file-account'),
    dataIndex: 'account',
    render: function render(text) {
      return text ? /*#__PURE__*/React.createElement("div", null, "".concat((text === null || text === void 0 ? void 0 : text.first_name) || '', " ").concat((text === null || text === void 0 ? void 0 : text.last_name) || '')) : null;
    }
  }, {
    title: getText('table-action-export-import-file-created'),
    dataIndex: 'created_at',
    render: function render(text) {
      return formatDate(text);
    }
  }];
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
    className: 'export-history-content'
  }, /*#__PURE__*/React.createElement(Spin, {
    spinning: _historyList === null || _historyList === void 0 ? void 0 : _historyList.loading
  }, /*#__PURE__*/React.createElement("div", {
    className: 'content-hint'
  }, getText('table-action-export-import-log-hint'), /*#__PURE__*/React.createElement("a", {
    onClick: function onClick() {
      return init();
    }
  }, getText('table-action-export-import-file-refresh'))), /*#__PURE__*/React.createElement(Table, {
    rowClassName: "antd-table-row",
    columns: columns,
    dataSource: list,
    pagination: false,
    rowKey: function rowKey(record) {
      return record.id;
    },
    scroll: {
      x: true
    }
  }))), /*#__PURE__*/React.createElement(Detail, {
    ref: detailRef
  }));
};
export default ImportLog;